Description

Currently the JPEG and JPEG 2000 decoders "blindly" believe that the values for Rows, Columns, and SamplesPerPixel in the
DICOM header are correct.

However, the DICOM standard states that in the case of inconsistencies the value encoded in the compressed bitstream should take
preference.

Both decoders should be modified to check the consistency of Rows, Columns and SamplesPerPixel against the JPEG header, and
in case of an inconsistency be configurable to

¢ reject decompression with an error message (default)
¢ adjust the DICOM header to be consistent with the compressed bitstream
¢ keep the DICOM header unmodified (current behaviour)

Reported / suggested by Mathieu Malaterre.

History

#1 - 2017-03-24 12:49 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#2 - 2017-05-16 17:12 - J6rg Riesmeier

| just received another bogus JPEG Baseline-compression DICOM image where the Photometric Interopretation says "MONOCHROMEZ2" and
Samples Per Pixel is "1" but the compressed JPEG stream contains 3 components. The result is an error:

D: Start Of Frame Oxc0O: width=200, height=200, components=3

D Component 1: 2hx2v g=0

D Component 2: lhxlv g=1

D Component 3: lhxlv g=1

D: Define Huffman Table 0x00

D: Define Huffman Table 0x10

D: Define Huffman Table 0x01

D: Define Huffman Table 0x11

D: Start Of Scan: 3 components

D Component 1: dc=0 ac=0

D Component 2: dc=1 ac=1

D Component 3: dc=1 ac=1

D Ss=0, Se=63, Ah=0, Al=0

F: Buffer for decompressed image (8 bits/sample) too small: decompressing file: test.dcm
After calling "dcmodify -m Photometricinterpretation=YBR_FULL_422 -m SamplesPerPixel=3 test.dcm", the image can be processed (and the
rendering performed by decmj2pnm is correct).

#3 - 2018-02-05 19:37 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#4 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)
